# Botonomous
<p align="center">
<a href="https://botonomous.io"><img src="http://botonomous.io/img/botonomous.png" alt="Botonomous Logo" width="250"></a>
<br>
<a href="https://packagist.org/packages/botonomous/botonomous"><img src="https://poser.pugx.org/botonomous/botonomous/v/stable" alt="Latest Stable Version"></a>
<a href="https://raw.githubusercontent.com/iranianpep/botonomous/master/LICENSE"><img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="GitHub license"></a>
<a href="https://packagist.org/packages/botonomous/botonomous"><img src="https://img.shields.io/packagist/dt/botonomous/botonomous.svg" alt="Packagist"></a>
</p>

## Code Status

[![Build Status](https://travis-ci.org/iranianpep/botonomous.svg?branch=master)](https://travis-ci.org/iranianpep/botonomous)
[![Build Status](https://scrutinizer-ci.com/g/iranianpep/botonomous/badges/build.png?b=master)](https://scrutinizer-ci.com/g/iranianpep/botonomous/build-status/master)
[![Code Climate](https://codeclimate.com/github/iranianpep/botonomous/badges/gpa.svg)](https://codeclimate.com/github/iranianpep/botonomous)
[![Test Coverage](https://codeclimate.com/github/iranianpep/botonomous/badges/coverage.svg)](https://codeclimate.com/github/iranianpep/botonomous/coverage)
[![Code Coverage](https://scrutinizer-ci.com/g/iranianpep/botonomous/badges/coverage.png?b=master)](https://scrutinizer-ci.com/g/iranianpep/botonomous/?branch=master)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/iranianpep/botonomous/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/iranianpep/botonomous/?branch=master)
[![StyleCI](https://styleci.io/repos/73189365/shield?branch=master)](https://styleci.io/repos/73189365)
[![SensioLabsInsight](https://insight.sensiolabs.com/projects/d9b77f1a-3d4a-423f-b473-30a25496f9a0/mini.png)](https://insight.sensiolabs.com/projects/d9b77f1a-3d4a-423f-b473-30a25496f9a0)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/039ffa789e6a4040b9b8d596ede07db4)](https://www.codacy.com/app/iranianpep/botonomous)
[![Code consistency](https://squizlabs.github.io/PHP_CodeSniffer/analysis/iranianpep/botonomous/grade.svg)](https://squizlabs.github.io/PHP_CodeSniffer/analysis/iranianpep/botonomous)
[![BCH compliance](https://bettercodehub.com/edge/badge/iranianpep/botonomous?branch=master)](https://bettercodehub.com/)
[![Issue Count](https://codeclimate.com/github/iranianpep/botonomous/badges/issue_count.svg)](https://codeclimate.com/github/iranianpep/botonomous)

Botonomous is a PHP framework for creating autonomous [Slack bots](https://api.slack.com/bot-users). It is specifically designed for [Slack](https://slack.com) and supports [Events API](https://api.slack.com/events-api) and [Slash commands](https://api.slack.com/slash-commands). Botonomous is unique because of:
* Quality Code: Modern, high quality and fully unit tested code base
* Modular System: Pluggable architecture for enhanced management of commands
* OAuth 2.0 Support: Built-in [Add to Slack](https://api.slack.com/docs/slack-button) button using OAuth 2.0
* Utility Classes: A handful of standalone utility classes to make everyone's life (even your partner's!) easier

## Get Started

Please check the [wiki](https://github.com/iranianpep/botonomous/wiki) for the documentation and installation guide or you can go straight to [Getting Started](https://github.com/iranianpep/botonomous/wiki/Getting-Started) section.

## Get help

* [![Join Botonomous Team](https://img.shields.io/badge/Slack-Join%20Team-green.svg)](http://botonomous.herokuapp.com/)
* [Issues](https://github.com/iranianpep/botonomous/issues) - Got issues? We are happy to help! However to report any security vulnerabilities, please drop us an email at ehsan.abb@gmail.com and please do not report it on GitHub.
* [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/iranianpep/botonomous.svg)](http://isitmaintained.com/project/iranianpep/botonomous "Average time to resolve an issue")
[![Percentage of issues still open](http://isitmaintained.com/badge/open/iranianpep/botonomous.svg)](http://isitmaintained.com/project/iranianpep/botonomous "Percentage of issues still open")

## Get involved

Botonomous is free forever but we need your help to make it even better. Let's make it happen by contributing to it. You can check out the [contributing guide](https://github.com/iranianpep/botonomous/blob/master/CONTRIBUTING.md) for guidelines about how to proceed.

[![Code Triagers Badge](https://www.codetriage.com/iranianpep/botonomous/badges/users.svg)](https://www.codetriage.com/iranianpep/botonomous)

## Built with Botonomous

If you have built any awesome Slack bot with Botonomous let us know to list it here. You can also add the following badge:

[![Built with Botonomous](https://img.shields.io/badge/Built%20with-Botonomous-green.svg)](https://github.com/iranianpep/botonomous)

```
[![Built with Botonomous](https://img.shields.io/badge/Built%20with-Botonomous-green.svg)](https://github.com/iranianpep/botonomous)
```

## Community

* [Twitter](https://twitter.com/botonomous)
* [Facebook](https://www.facebook.com/botonomous)

## Support

* [Jet Brains](https://www.jetbrains.com) - Without [PhpStorm](https://www.jetbrains.com/phpstorm) this project was in the middle of nowhere!
* [Sara Salim Pour](http://sarasalimpour.com) - The outstanding artwork is because of her talent.
* [![Donate](https://img.shields.io/badge/Donate-PayPal-green.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=BXMKEZ23PX8K2)
[![Beerpay](https://beerpay.io/iranianpep/botonomous/badge.svg?style=beer-square)](https://beerpay.io/iranianpep/botonomous)  [![Beerpay](https://beerpay.io/iranianpep/botonomous/make-wish.svg?style=flat-square)](https://beerpay.io/iranianpep/botonomous?focus=wish)
[![Beerpay](https://img.shields.io/beerpay/iranianpep/botonomous.svg)](https://beerpay.io/iranianpep/botonomous)
